HUGO-COMPLETION(1)

NAME

hugo-completion - Generate the autocompletion script for the specified shell

SYNOPSIS

hugo completion [flags]

DESCRIPTION

Generate the autocompletion script for hugo for the specified shell. See each sub-command's help for details on how to use the generated script.

OPTIONS

-h, --help[=false]
    help for completion

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo(1), hugo-completion-bash(1), hugo-completion-fish(1), hugo-completion-powershell(1), hugo-completion-zsh(1)